Creates a CorrectWithCredit business transaction from a metadata structure.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Use Send a credit note (v2) for more advanced features, such as:
- Header level discounts.
- Informative discounts on unit price.
To successfully send in a document, the
supplier.identifiermust have an ISO identifier corresponding to the company logged in and issuing the document.Either you were provided with the ISO identifier (Business participant identifiers) or have it attached to your credentials here.
More information (click to expand)
Due to limitations of this documentation platform, to successfully create a document, you must fill in parameters in the request Body Params below (you must be logged in to see your identifiers):
- You must replace
{{selfIdentifier}}in nodesupplier.identifierwith value 0196:1111118899 (or one corresponding to the logged in sender).- You must replace
{{otherIdentifier}}nodes inmessageHandling.receiverIdentifierandcustomer.identifierwith value 0196:2222228899 or a value corresponding to the receiver of the document.- You can also replace
{{selfName}}(SenderIssuer Company) and{{otherName}}(Receiver Company) where applicable.
The more parameter of the call informs the server whether additional document attachments are expected or not and then updates the message status. If no more documents will be added, the call sets the status of the message to received. Otherwise, the message remains open and the message status is notset.
The following example contains the minimum JSON body required to create a valid credit note.
These elements are mandatory.
{
"messageHandling": {
"receiverIdentifier": "0196:2222228899",
"fallbackEmailAddress": "[email protected]"
},
"creditNote": {
"creditNoteNo": "CN1234",
"issueDate": "2019-05-26T10:15:42.774Z",
"currencyCode": "ISK",
"supplier": {
"name": "Test Party One",
"identifier": "0196:1111118899",
"vatNumber": "99123",
"address": {
"streetNameAndNumber": "42nd Street 1",
"city": "New York",
"postalZone": "10036",
"countryCode": "US"
}
},
"customer": {
"name": "Test Party Two",
"identifier": "0196:2222228899",
"address": {
"streetNameAndNumber": "14th Street 52",
"city": "New York",
"postalZone": "10011",
"countryCode": "US"
}
},
"creditNoteLines": [
{
"itemNo": "A301",
"name": "Product A",
"quantity": 1,
"unitOfMeasure": {
"unit": "Rec21",
"code": "BX"
},
"unitPriceAmount": 1000,
"taxCategoryType": "StandardRated",
"taxableAmount": 1000,
"taxAmount": 240,
"taxPercentage": 24
}
]
}
}The request body schema includes all mandatory and optional elements.
For more information about allowed values for metadata elements, see Metadata.
